package com.joelhelkala.watcherGui.frames.panels;

import java.awt.Dimension;

import javax.swing.JPanel;

import org.jfree.chart.ChartFactory;
import org.jfree.chart.ChartPanel;
import org.jfree.chart.JFreeChart;
import org.jfree.chart.plot.PlotOrientation;
import org.jfree.data.category.DefaultCategoryDataset;
import java.awt.BorderLayout;
import java.time.LocalDateTime;

public class LineChartPanel extends JPanel { 
	
	// Constructor
	public LineChartPanel(String chartTitle) {
		JFreeChart lineChart = ChartFactory.createLineChart(chartTitle, "DateTime","Temperature",
		         createDataset(),
		         PlotOrientation.VERTICAL,
		         true,true,false);
		
		ChartPanel chartPanel = new ChartPanel( lineChart );
	    chartPanel.setPreferredSize( new Dimension( 560 , 367 ) );
	    this.setLayout(new BorderLayout());
	    this.add(chartPanel, BorderLayout.CENTER);
	    this.validate();
	}
	
	// Mockup dataset
	private DefaultCategoryDataset createDataset( ) {
	      DefaultCategoryDataset dataset = new DefaultCategoryDataset( );
	      dataset.addValue( -17 , "temp" , LocalDateTime.now().minusDays(5) );
	      dataset.addValue( -15 , "temp" , LocalDateTime.now().minusDays(5).plusHours(2));
	      dataset.addValue( -16 , "temp" , LocalDateTime.now().minusDays(4).minusHours(2) );
	      dataset.addValue( -17 , "temp" , LocalDateTime.now().minusDays(1).minusHours(3) );
	      dataset.addValue( -10 , "temp" , LocalDateTime.now().minusDays(1) );
	      dataset.addValue( -3 , "temp" , LocalDateTime.now() );
	      return dataset;
	   }
}
