package com.joelhelkala.watcherGui.frames.panels;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.SwingConstants;

import org.json.JSONArray;

import com.joelhelkala.watcherGui.Node.Node;

import java.awt.BorderLayout;
import java.awt.Font;
import java.text.Format;
import java.text.SimpleDateFormat;
import java.time.LocalDateTime;
import java.util.Calendar;
import java.util.Date;

public class TemperaturePanel extends JPanel {
	
	public TemperaturePanel() {
		this.setLayout(new BorderLayout());
		JLabel day = new JLabel(getDay());
		day.setForeground(java.awt.Color.white);
		day.setHorizontalAlignment(SwingConstants.CENTER);
		this.add(day, BorderLayout.NORTH);
		
		Character degree = 0xB0;
		String temperature = "-17" + degree; 
		JLabel temp = new JLabel(temperature);
		
		temp.setForeground(java.awt.Color.white);
		temp.setHorizontalAlignment(SwingConstants.CENTER);
		temp.setFont(new Font(null, Font.BOLD, 40));
		this.add(temp, BorderLayout.CENTER);
	}
	
	public TemperaturePanel(Node node) {
		Integer temp_value = null;
		String date = "No value!";
		if(node != null) {
			temp_value = node.getRecentTemperature();
			LocalDateTime datetime = node.getRecentDate();
			if (datetime != null) date = datetime.toString();
		}
		this.setLayout(new BorderLayout());
		JLabel day = new JLabel(date);
		day.setForeground(java.awt.Color.white);
		day.setHorizontalAlignment(SwingConstants.CENTER);
		this.add(day, BorderLayout.NORTH);
		
		Character degree = 0xB0;
		String temperature = "No value"; 
		if(temp_value != null)  temperature = temp_value + "" + degree;
		JLabel temp = new JLabel(temperature);
		
		temp.setForeground(java.awt.Color.white);
		temp.setHorizontalAlignment(SwingConstants.CENTER);
		temp.setFont(new Font(null, Font.BOLD, 40));
		this.add(temp, BorderLayout.CENTER);
	}
	
	private String getDay() {
		Calendar cal = Calendar.getInstance();  
		Format f = new SimpleDateFormat("EEEE");
		SimpleDateFormat sdf = new SimpleDateFormat("dd-MM-yyyy");
		String date = f.format(new Date()) + " " + sdf.format(cal.getTime()); 
		return date;  
	}
}
