package com.joelhelkala.watcherGui.frames.subframes;

import java.awt.Color;

import javax.swing.JPanel;

import com.joelhelkala.watcherGui.Node.Node;
import com.joelhelkala.watcherGui.frames.panels.LineChartPanel;
import com.joelhelkala.watcherGui.frames.panels.ProgressBarCirclePanel;
import com.joelhelkala.watcherGui.frames.panels.TemperaturePanel;
import com.joelhelkala.watcherGui.httpRequests.HttpRequests;

public class NodeDataFrame extends JPanel {
	
	private Node node = new Node(HttpRequests.getNodeData(1));
	private static final int cardWidth = 300;
	private static final int cardPanelHeight = 300;

	private static final Color gray = new Color(45, 45, 45);
	private static final Color lightgray = new Color(73, 73, 73);
	
	public NodeDataFrame(int x, int y, int width, int height) {
		setLayout(null);
		setBounds(x,y,width,height);
		setOpaque(true);
		setBackground(Color.GRAY);
	    
	    JPanel cardPanel = new JPanel();
		cardPanel.setBackground(gray);
		cardPanel.setBounds(0, 0, width, cardPanelHeight);
		cardPanel.setLayout(null);
		
		JPanel card1 = new TemperaturePanel(node);
		card1.setBackground(lightgray);
		card1.setBounds(15, 10, cardWidth, cardPanelHeight-20);
		cardPanel.add(card1);
		
		JPanel card2 = new ProgressBarCirclePanel().makeUI("Humidity", node.getRecentHumidity());
		card2.setBackground(lightgray);
		card2.setBounds(cardWidth+30, 10, cardWidth, cardPanelHeight-20);
		cardPanel.add(card2);
		
		JPanel card3 = new JPanel();
		card3.setBackground(lightgray);
		card3.setBounds(cardWidth*2+45, 10, cardWidth, cardPanelHeight-20);
		cardPanel.add(card3);
		
		JPanel chartPanel = new JPanel();
		chartPanel.setBackground(gray);
		chartPanel.setBounds(0, cardPanelHeight, width, cardPanelHeight+10);
		chartPanel.setLayout(null);
		
		JPanel chart = new LineChartPanel("Temperature");
		chart.setBackground(lightgray);
		chart.setBounds(15, 10, width-30, cardPanelHeight - 20);
		chartPanel.add(chart);
		
		add(cardPanel);
		add(chartPanel);
		
	}
}
