package com.joelhelkala.watcherServer;

import com.joelhelkala.watcherServer.appuser.AppUser;
import com.joelhelkala.watcherServer.appuser.AppUserRole;
import com.joelhelkala.watcherServer.appuser.AppUserService;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;

@SpringBootApplication
public class WatcherServerApplication {

	public static void main(String[] args) {
		SpringApplication.run(WatcherServerApplication.class, args);
	}

	@Bean
	CommandLineRunner run(AppUserService appUserService) {
		return args -> {
			appUserService.addNewUser(new AppUser("masa","masa@gmail.com","1234", AppUserRole.USER));
			appUserService.addNewUser(new AppUser("pena","pena@gmail.com","1234", AppUserRole.USER));
			appUserService.addNewUser(new AppUser("tero","tero@gmail.com","1234", AppUserRole.USER));
			appUserService.addNewUser(new AppUser("arska","arska@gmail.com","1234", AppUserRole.ADMIN));
		};
	}
}